Bug 1005425 - [abrt] yum-3.4.3-54.fc18: __strlen_sse2_bsf: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] yum-3.4.3-54.fc18: __strlen_sse2_bsf: Process /usr/bin/python2.7 was k...
Status: CLOSED DUPLICATE of bug 1004062
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:87b02a1bde8ab52bfa1f39af9d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 17:57 EDT by lustful-rat
Modified: 2013-09-09 05:21 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 05:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.25 KB, text/plain)
2013-09-06 17:57 EDT, lustful-rat
no flags Details
File: cgroup (128 bytes, text/plain)
2013-09-06 17:57 EDT, lustful-rat
no flags Details
File: core_backtrace (20.45 KB, text/plain)
2013-09-06 17:57 EDT, lustful-rat
no flags Details
File: dso_list (10.16 KB, text/plain)
2013-09-06 17:57 EDT, lustful-rat
no flags Details
File: environ (1.92 KB, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details
File: maps (28.82 KB, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details
File: open_fds (2.11 KB, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details
File: proc_pid_status (757 bytes, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details
File: var_log_messages (831 bytes, text/plain)
2013-09-06 17:58 EDT, lustful-rat
no flags Details

  None (edit)
Description lustful-rat 2013-09-06 17:57:38 EDT
Description of problem:
Error occurred during updating packets (sudo yum update).

Version-Release number of selected component:
yum-3.4.3-54.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python /bin/yum update
crash_function: __strlen_sse2_bsf
executable:     /usr/bin/python2.7
kernel:         3.10.10-100.fc18.i686
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strlen_sse2_bsf at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:50
 #1 rpmluaRunScript at rpmlua.c:495
 #2 runLuaScript at rpmscript.c:70
 #3 rpmScriptRun at rpmscript.c:316
 #4 runScript at psm.c:423
 #5 runInstScript at psm.c:455
 #6 rpmpsmStage at psm.c:961
 #7 rpmpsmRun at psm.c:1051
 #8 rpmteProcess at rpmte.c:953
 #9 runTransScripts at transaction.c:1080
Comment 1 lustful-rat 2013-09-06 17:57:43 EDT
Created attachment 794980 [details]
File: backtrace
Comment 2 lustful-rat 2013-09-06 17:57:47 EDT
Created attachment 794981 [details]
File: cgroup
Comment 3 lustful-rat 2013-09-06 17:57:51 EDT
Created attachment 794982 [details]
File: core_backtrace
Comment 4 lustful-rat 2013-09-06 17:57:56 EDT
Created attachment 794983 [details]
File: dso_list
Comment 5 lustful-rat 2013-09-06 17:58:00 EDT
Created attachment 794984 [details]
File: environ
Comment 6 lustful-rat 2013-09-06 17:58:03 EDT
Created attachment 794985 [details]
File: exploitable
Comment 7 lustful-rat 2013-09-06 17:58:07 EDT
Created attachment 794986 [details]
File: limits
Comment 8 lustful-rat 2013-09-06 17:58:11 EDT
Created attachment 794987 [details]
File: maps
Comment 9 lustful-rat 2013-09-06 17:58:15 EDT
Created attachment 794988 [details]
File: open_fds
Comment 10 lustful-rat 2013-09-06 17:58:18 EDT
Created attachment 794989 [details]
File: proc_pid_status
Comment 11 lustful-rat 2013-09-06 17:58:22 EDT
Created attachment 794990 [details]
File: var_log_messages
Comment 12 Ali Akcaagac 2013-09-07 16:50:38 EDT
I can confirm this issue. Though it only shows up when updating "firefox-23.0.1-4.fc18.i686.rpm" all other packages update correctly.
Comment 13 Zdeněk Pavlas 2013-09-09 05:13:44 EDT
Indedd, it's the empty script problem.

#1  0x45ca5474 in rpmluaRunScript (_lua=_lua@entry=0x0, script=script@entry=0x0, name=name@entry=0xb703368 "%pretrans(firefox-23.0.1-4.fc18.i686)") at rpmlua.c:495

> if (luaL_loadbuffer(L, script, strlen(script), name) != 0) {
                                 ^^^^^^^^^^^^^^
Comment 14 Panu Matilainen 2013-09-09 05:21:45 EDT

*** This bug has been marked as a duplicate of bug 1004062 ***

Note You need to log in before you can comment on or make changes to this bug.